summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2017-10-04 12:25:22 +0200
committer David Spencer2017-10-04 12:25:22 +0200
commit9675df61c7fb0ebfc3d99358000bfd2476f39c54 (patch)
treeb0af2399778ea1605274fc5679fd1ec82b93b80a
parent969e468c713df1b98252eecb6d1470aabafe33f0 (diff)
downloadslackbuilds-9675df61c7fb0ebfc3d99358000bfd2476f39c54.tar.gz
gis/pktools: Added (image processing utilities).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--gis/pktools/README9
-rw-r--r--gis/pktools/pktools.SlackBuild106
-rw-r--r--gis/pktools/pktools.info10
-rw-r--r--gis/pktools/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/gis/pktools/README b/gis/pktools/README
new file mode 100644
index 0000000000..bf1e151c04
--- /dev/null
+++ b/gis/pktools/README
@@ -0,0 +1,9 @@
+pktools is a suite of utilities written in C++ for image processing with a
+focus on remote sensing applications. It relies on the Geospatial Data
+Abstraction Library and OGR.
+
+Optional dependencies
+
+If the fann SlackBuild is installed, support can be added by passing
+WITH_FANN=ON. If the libLAS SlackBuild is installed, support can be added by
+passing WITH_LIBLAS=ON.
diff --git a/gis/pktools/pktools.SlackBuild b/gis/pktools/pktools.SlackBuild
new file mode 100644
index 0000000000..84dd108347
--- /dev/null
+++ b/gis/pktools/pktools.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# SlackBuild script for pktools
+
+# Copyright 2017 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pktools
+SRCNAM=$(echo $PRGNAM | tr "[a-z]" "[A-Z]")
+VERSION=${VERSION:-2.6.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+WITH_FANN=${WITH_FANN:-NO}
+WITH_LIBLAS=${WITH_LIBLAS:-NO}
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_WITH_FANN=$WITH_FANN \
+ -DBUILD_WITH_LIBLAS=$WITH_LIBLAS \
+ ..
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+if [ "$WITH_DOC" = "YES" ]; then
+ cp -r build/doc/html $PKG/usr/doc/$PRGNAM-$VERSION
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/pktools/pktools.info b/gis/pktools/pktools.info
new file mode 100644
index 0000000000..038aa74e80
--- /dev/null
+++ b/gis/pktools/pktools.info
@@ -0,0 +1,10 @@
+PRGNAM="pktools"
+VERSION="2.6.7.2"
+HOMEPAGE="http://pktools.nongnu.org/"
+DOWNLOAD="http://download.savannah.gnu.org/releases/pktools/PKTOOLS-2.6.7.2.tar.gz"
+MD5SUM="ced0c8b8fd80c53ca6a5926037e7e826"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="armadillo gdal"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/pktools/slack-desc b/gis/pktools/slack-desc
new file mode 100644
index 0000000000..7f89739db5
--- /dev/null
+++ b/gis/pktools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pktools: pktools (image processing utilities)
+pktools:
+pktools: pktools is a suite of utilities written in C++ for image processing
+pktools: with a focus on remote sensing applications. It relies on the
+pktools: Geospatial Data Abstraction Library and OGR.
+pktools:
+pktools:
+pktools:
+pktools:
+pktools:
+pktools: